#!/usr/bin/perl -w
# wrapper for batch execution of ossub
# 20070412

$thisfile = "scr.ossub_batch.pl";
if ($ARGV[5] eq "") {
    printf "usage: $thisfile <inlist> <outlist> <x1> <x2> <x3> <x4>\n";
    printf "x1,x2: data range (1st pix=1)\n";
    printf "x3,x4: overscan range to derive bias (median)\n";
    exit;
}

$x1 = $ARGV[2]; $x2 = $ARGV[3];
$x3 = $ARGV[4]; $x4 = $ARGV[5];

if (!-e "ossub") {
    die "could not find ossub.";
}

$n = 0;
open(IN, $ARGV[0]);
while (<IN>) {
    if ($_ !~ /^\#/) {
	@fld = split;
	$infile[$n] = $fld[0];
	$n++;
    }
}
close(IN);
$nin = $n;

$n = 0;
open(IN, $ARGV[1]);
while (<IN>) {
    if ($_ !~ /^\#/) {
	@fld = split;
	$outfile[$n] = $fld[0];
	$n++;
    }
}
close(IN);

if ($nin != $n) {
    die "ERROR: numbers in $ARGV[0] and $ARGV[1] do not match.";
}

system("echo \"\" > scr.ossub.log");

for ($i = 0; $i < $n; $i++) {
    system("./ossub $infile[$i] $outfile[$i] $x1 $x2 $x3 $x4 >> scr.ossub.log");
#    printf"./ossub $infile[$i] $outfile[$i] $x1 $x2 $x3 $x4 >> scr.ossub.log\n";
}
